petsc-3.15.0 2021-03-30
Report Typos and Errors

# VecViennaCLRestoreCLMem

Restores a CL buffer pointer previously acquired with VecViennaCLGetCLMem().

### Synopsis

    #include "petscvec.h"
    PETSC_EXTERN PetscErrorCode VecViennaCLRestoreCLMem(Vec v)

This marks the host data as out of date. Subsequent access to the vector data on the host side with for instance VecGetArray() incurs a data transfer.

### Input Parameters

| v | - the vector

### See Also

VecViennaCLGetCLContext(), VecViennaCLGetCLMem()

### Level

intermediate

### Location

src/vec/vec/impls/seq/seqviennacl/vecviennacl.cxx
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages